List schema
deprecated
Retrieve all tasks in a GBG GO journey instance along with their schemas in a single call. Deprecated.
POST
/
journey
/
task
/
list
/
schema
List schema
curl --request POST \
--url https://eu.platform.go.gbgplc.com/v2/captain/journey/task/list/schema \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"instanceId": "PiIuACmx8Q8R7qPnAkLAqBAT"
}
'import requests
url = "https://eu.platform.go.gbgplc.com/v2/captain/journey/task/list/schema"
payload = { "instanceId": "PiIuACmx8Q8R7qPnAkLAqBAT" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({instanceId: 'PiIuACmx8Q8R7qPnAkLAqBAT'})
};
fetch('https://eu.platform.go.gbgplc.com/v2/captain/journey/task/list/schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "InProgress",
"instanceId": "<string>",
"tasks": [
{
"taskId": "<string>",
"schema": {
"type": "<unknown>",
"description": "<unknown>",
"example": "<unknown>"
},
"variantId": "<string>"
}
],
"schemas": {
"dynamicObject": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Unique identifier for the journey instance.
Example:
"PiIuACmx8Q8R7qPnAkLAqBAT"
Response
201 - application/json
Successfully retrieved tasks and schemas.
Current status of the journey instance.
Available options:
Completed, InProgress, Failed, Paused Unique identifier for the active journey instance.
Show child attributes
Show child attributes
List of schemas for tasks.
Show child attributes
Show child attributes
Was this page helpful?
Previous
List schema taskRetrieve the schema for a single GBG GO journey task to understand its required fields, types, and validation rules. Deprecated.
Next
⌘I
List schema
